Subject: bug#13239: error on "^"

From: Sam Steingold <[email-masked]>
Date: Thu, 20 Dec 2012 10:50:44 -0500

when I tried to get the parent article in gmail, I got this:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  encode-coding-string(nil utf-7-imap)
  utf7-encode(nil t)
  nnimap-find-article-by-message-id(nil "<[email-masked]>")
  nnimap-request-head("<[email-masked]>" nil "gmail")
  gnus-request-head("<[email-masked]>" "nnimap+gmail:emacs")
  gnus-read-header("<[email-masked]>")
  gnus-summary-insert-subject("<[email-masked]>")
  byte-code("\304 \305\211\203-	@\306!\203&\307\n!\211\203&\310\305\211\211$\210\311\312\313\"\210	A\211\204	*\314\315\316\n#\207" [gnus-override-method --dolist-tail-- message-id number gnus-refer-article-methods nil gnus-check-server gnus-summary-insert-subject gnus-summary-select-article throw found t gnus-message 3 "Couldn't fetch article %s"] 6)
  gnus-summary-refer-article("<[email-masked]>")
  gnus-summary-refer-parent-article(1)
  call-interactively(gnus-summary-refer-parent-article nil nil)

I have no idea how group in gnus-read-header managed to become nil.
gnus-newsgroup-name ==> "nnimap+gmail:emacs"

when I get out of the debugger with C-] (abort-recursive-edit), "^" work
once.
when do it again, I get the same error.
i.e., getting the parents is a cycle of ^ C-] ^ ^ C-] ^ ^ C-] ^ &c.

Gnus v5.13
GNU Emacs 24.3.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2012-12-17 on t520sds
200 mx04.eternal-september.org InterNetNews NNRP server INN 2.6.0 (20121129 snapshot) ready (posting ok)
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.6.0 (20121129 snapshot)
AUTHINFO USER SASL
HDR
LIST ACTIVE ACTIVE.TIMES COUNTS DISTRIB.PATS DISTRIBUTIONS HEADERS MODERATORS MOTD NEWSGROUPS OVERVIEW.FMT SUBSCRIPTIONS
OVER
POST
READER
SASL DIGEST-MD5 PLAIN CRAM-MD5 NTLM LOGIN
STARTTLS
.
382 Begin TLS negotiation now
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.6.0 (20121129 snapshot)
AUTHINFO USER SASL
HDR
LIST ACTIVE ACTIVE.TIMES COUNTS DISTRIB.PATS DISTRIBUTIONS HEADERS MODERATORS MOTD NEWSGROUPS OVERVIEW.FMT SUBSCRIPTIONS
OVER
POST
READER
SASL DIGEST-MD5 PLAIN CRAM-MD5 NTLM LOGIN
.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://americancensorship.org http://truepeace.org
http://honestreporting.com http://ffii.org
Sufficiently advanced stupidity is indistinguishable from malice.